Subject: bug#58839: [Patch] Re: bug#58839: 29.0.50; project-kill-buffer fails when Eglot is running

From: Dmitry Gutov <[email-masked]>
Date: Tue, 1 Nov 2022 15:22:37 +0200

On 01.11.2022 01:19, João Távora wrote:
> We can try to make some backward compatible way, but this seems like the
> perfect occasion to activate this most reasonable header in project.el:
> 
>      ;; NOTE: The project API is still experimental and can change in major,
>      ;; backward-incompatible ways.  Everyone is encouraged to try it, and
>      ;; report to us any problems or use cases we hadn't anticipated, by
>      ;; sending an email to emacs-devel, or `M-x report-emacs-bug'.

This is about the API.

project-kills-buffers is not part of it. It's just a regular user-level 
command, to be evolved how we do with regular commands.